Bug 130015 - LO appears to ignore selection of manual digital signature path
Summary: LO appears to ignore selection of manual digital signature path
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2020-01-15 13:49 UTC by Mathew Holleran
Modified: 2021-03-25 04:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathew Holleran 2020-01-15 13:49:46 UTC
Description:
I can add a certificate directory path as a "manual" profile and then click on "Restart Now" in the resulting dialog however when LO restarts and I go back into "Options->Security->Certificate Path" LO reverts to the "thunderbird:default" profile and as a result of this no certs are available to sign documents.

Steps to Reproduce:
1. In the LO launcher click on Tools->Security->Certificate.
2. Add a new path to some arb directory.
3. Click on radio button corresponding with the new "manual" profile.
4. Click on "Restart Now" when LO prompts.
5. When LO relaunches go back into Tools->Security->Certificate.

Actual Results:
LO reverts to the default profile for the certificate directory path instead of using the added path in the manual profile.

Expected Results:
LO should be using the manual profile.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Buovjaga 2020-08-25 11:19:36 UTC
No problem here.

Can you test with 6.4.x? One way is to use an appimage https://libreoffice.soluzioniopen.com/

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.

Arch Linux 64-bit
Version: 6.4.5.2
Build ID: 6.4.5-2
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 QA Administrators 2021-02-22 04:00:34 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-03-25 04:26:22 UTC
Dear Mathew Holleran,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp